跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 23.8.2, which is no longer the latest release. See the latest release.

Create an organization

POST
/orgs
curl --request POST \
--url https://gitea.example.com/api/v1/orgs \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "email": "example", "full_name": "example", "location": "example", "repo_admin_change_team_access": true, "username": "example", "visibility": "public", "website": "example" }'
Media typeapplication/json

CreateOrgOption options for creating an organization

object
description
string
email
string
full_name
string
location
string
repo_admin_change_team_access
boolean
username
required
string
visibility

Possible values are public (default), limited or private

string
Allowed values: public limited private
website
string

Organization

Media typeapplication/json

Organization represents an organization

object
avatar_url
string
description
string
email
string
full_name
string
id
integer format: int64
location
string
name
string
repo_admin_change_team_access
boolean
username

Deprecated

string
visibility
string
website
string
Examplegenerated
{
"avatar_url": "example",
"description": "example",
"email": "example",
"full_name": "example",
"id": 1,
"location": "example",
"name": "example",
"repo_admin_change_team_access": true,
"username": "example",
"visibility": "example",
"website": "example"
}

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string